aboutsummaryrefslogtreecommitdiff
path: root/games/fsgs/files
diff options
context:
space:
mode:
authorDonald Burr <dburr@FreeBSD.org>2001-07-16 08:25:23 +0000
committerDonald Burr <dburr@FreeBSD.org>2001-07-16 08:25:23 +0000
commit333a12c85cc93e5fedcc40dbef482d669e711fd8 (patch)
tree3527d57cfcd2c360e9bd9433b3c24fff6b095f00 /games/fsgs/files
parentd4d98d7d27d1d2356dd6f9f41f356d1cdd73a63b (diff)
New port games/fsgs, a network game server thingy.
that supports player chat, rankings ("ladders"), user management, more.
Notes
Notes: svn path=/head/; revision=45162
Diffstat (limited to 'games/fsgs/files')
-rw-r--r--games/fsgs/files/fsgs.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/games/fsgs/files/fsgs.sh b/games/fsgs/files/fsgs.sh
new file mode 100644
index 000000000000..0baeafa5509b
--- /dev/null
+++ b/games/fsgs/files/fsgs.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ cd ${PREFIX}; [ -x fsgs/fsgs -a -f fsgs/fsgs.cfg ] && fsgs/fsgs > /dev/null & && echo -n ' fsgs'
+ ;;
+stop)
+ killall fsgs && echo -n ' fsgs'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0